//
//  SPK_XYCalibratorPlugIn.h
//  SPK-XYCalibrator
//
//  Created by Toby Harris on 21/02/2008.
//  Copyright (c) 2008 *spark audio-visual. Some rights reserved.
//

#import <Quartz/Quartz.h>

@interface SPK_XYCalibratorPlugIn : QCPlugIn
{
	double maxX, maxY, scaleX, scaleY;
	BOOL calibrationModeReset;
}

/*
Declare here the Obj-C 2.0 properties to be used as input and output ports for the plug-in e.g.
@property double inputFoo;
@property(assign) NSString* outputBar;
You can access their values in the appropriate plug-in methods using self.inputFoo or self.inputBar
*/

// QC I/O
@property double inputX,inputY, outputX, outputY;
@property BOOL inputCalibrateMode;

// Internal Settings
@property double scaleX, scaleY;

-(void)resetCalibrationVars;

@end
